# Generated by Django 2.1.5 on 2019-01-08 18:52

from django.db import migrations, models
import django.db.models.deletion


class Migration(migrations.Migration):

    initial = True

    dependencies = [
    ]

    operations = [
        migrations.CreateModel(
            name='FuelType',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('name', models.CharField(max_length=128, unique=True)),
                ('price', models.FloatField()),
            ],
        ),
        migrations.CreateModel(
            name='GasColumn',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('fuel_type', models.ManyToManyField(to='gs.FuelType')),
            ],
        ),
        migrations.CreateModel(
            name='GasStation',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('name', models.CharField(max_length=128)),
                ('addr', models.CharField(max_length=128)),
                ('lat', models.FloatField()),
                ('lng', models.FloatField()),
                ('height', models.FloatField()),
            ],
        ),
        migrations.AddField(
            model_name='gascolumn',
            name='station',
            field=models.ForeignKey(
                on_delete=django.db.models.deletion.CASCADE,
                related_name='columns', to='gs.GasStation'),
        ),
    ]
